﻿using System.IO;
using System.Windows;
using Telerik.Windows.Persistence;

namespace PersistenceManagerOutput
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private async void SaveButton_OnClick(object sender, RoutedEventArgs e)
        {
            Stream stream = null;

            PersistenceManager manager = new PersistenceManager();
            stream = manager.Save(radPivotGrid1);

            // Make sure you rewind the stream before trying to do anything with it
            stream.Position = 0;

            // You can use a StreamReader to read out the XML
            using (var sr = new StreamReader(stream))
            {
                OutputTextBlock.Text = await sr.ReadToEndAsync();
            }

            // See here on how to load
            // http://docs.telerik.com/devtools/wpf/controls/radpersistenceframework/features/persistence-framework-save-stream 
        }
    }
}
